<?php
/**
 * Typography Setting
 *
 * @package online_school_courses
 */

// Typography Setting
$wp_customize->add_section(
    'online_school_courses_typography_setting',
    array(
        'panel' => 'online_school_courses_theme_options',
        'title' => esc_html__( 'Typography Setting', 'online-school-courses' ),
    )
);

$wp_customize->add_setting(
    'online_school_courses_site_title_font',
    array(
        'default'           => 'Be Vietnam Pro',
        'sanitize_callback' => 'online_school_courses_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'online_school_courses_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'online-school-courses' ),
        'section'  => 'online_school_courses_typography_setting',
        'settings' => 'online_school_courses_site_title_font',
        'type'     => 'select',
        'choices'  => online_school_courses_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'online_school_courses_site_description_font',
	array(
		'default'           => 'Content',
		'sanitize_callback' => 'online_school_courses_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'online_school_courses_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'online-school-courses' ),
		'section'  => 'online_school_courses_typography_setting',
		'settings' => 'online_school_courses_site_description_font',
		'type'     => 'select',
		'choices'  => online_school_courses_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'online_school_courses_header_font',
	array(
		'default'           => 'Be Vietnam Pro',
		'sanitize_callback' => 'online_school_courses_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'online_school_courses_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'online-school-courses' ),
		'section'  => 'online_school_courses_typography_setting',
		'settings' => 'online_school_courses_header_font',
		'type'     => 'select',
		'choices'  => online_school_courses_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'online_school_courses_content_font',
	array(
		'default'           => 'Content',
		'sanitize_callback' => 'online_school_courses_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'online_school_courses_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'online-school-courses' ),
		'section'  => 'online_school_courses_typography_setting',
		'settings' => 'online_school_courses_content_font',
		'type'     => 'select',
		'choices'  => online_school_courses_get_all_google_font_families(),
	)
);